/*
*   detecting browser version name id and supported audio formats orientations 
*/

var BrowserDetect = {
	init: function () {
		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| "an unknown version";
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
	},
	 searchOrientation: function () {
        	if(navigator.userAgent.match(/Android/i)!=null)
        	{
        		return a == 0 || a == 180 ? "landscape" :"portrait" ;
        	}else
        	{
            return a == 0 || a == 180 ? "portrait" : a == 90 || a == -90 ? "landscape" : "normal";
           }
        },
        searchDevice: function (a) {
        	if(navigator.userAgent.match(/Android/)!=null)
        	{
        		if(navigator.userAgent.match(/mobile/)!=null)
        		{
        		  return "mobile";
        		}else
        		{
        		   return "tablet";
        		}
        	}else
        	{
            return  a.match(/iPhone|iPod/i) ? "mobile" : a.match(/iPad/i) ? "tablet" : a.match(/BlackBerry/i) || a.match(/IEMobile/i) ? "other mobile" : "desktop"
           }
        },
	   searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	audioextension: function(browserstring,extension){
	       for (var i=0;i<this.dataBrowser.length;i++)	{
			var dataString = this.dataBrowser[i].audiosupport;
			if (dataString) {
			     if(browserstring==this.dataBrowser[i].identity)
			     {
			     
			        var suppoertedfarmats=dataString.split(' ');
			        for(var j=0;j<suppoertedfarmats.length;j++)
			        {
			          if(extension==suppoertedfarmats[j])
			          {
			             return extension;
			             
			          }
			        }
			        return suppoertedfarmats[0];
			     }
			   }
	      }
	
	},
	dataBrowser: [
		{
			string: navigator.userAgent,
			subString: "Chrome",
			identity: "Chrome",
			audiosupport:"mp3 ogg"
		},
		{
			string: navigator.userAgent,
			subString: "Android",
			identity: "Android",
			audiosupport:"mp3 ogg"
		},
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari",
			versionSearch: "Version",
			audiosupport : "mp3 wav"
		},
		{
			prop: window.opera,
			identity: "Opera",
			versionSearch: "Version"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox",
			audiosupport:"ogg wav"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE",
			audiosupport : "mp3"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	  dataOS: [{
            string: navigator.platform,
            subString: "Win",
            identity: "Windows"
        }, {
            string: navigator.platform,
            subString: "Mac",
            identity: "Mac"
        }, {
            string: navigator.userAgent,
            subString: "iPhone",
            identity: "iPhone/iPod"
        }, {
            string: navigator.userAgent,
            subString: "iPad",
            identity: "iPad"
        }, {
            string: navigator.platform,
            subString: "Linux",
            identity: "Linux"
        }]

};
BrowserDetect.init();
function getAudioExtension(source,preferredextension)
{     
         var audiosource= (source+"."+ BrowserDetect.audioextension(BrowserDetect.browser,preferredextension));
      return audiosource;           
}

